# webserver-nginx

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-webserver-nginx/status.svg)](https://drone.asperti.com/paspo/docker-webserver-nginx)

Small webserver with PHP support and SFTP access

## usage

Use this `docker-compose.yaml`

```yaml
services:
  web:
    image: docker.asperti.com/paspo/webserver-nginx
    ports:
      - 8888:80
      - 2222:22
    volumes:
      - ./www:/data/www
      - ./ssh:/ssh # add authorized_keys file here
    environment:
      PHP: php84 # none (default), php82, php83, php84
```
